Loading...
Searching...
No Matches
osmium::io::OutputIterator< TDest > Class Template Reference

`#include <output_iterator.hpp>`

## Public Types

using | iterator_category = std::output_iterator_tag
using | value_type = void
using | difference_type = void
using | pointer = void
using | reference = void

## Public Member Functions

| OutputIterator (TDest &destination)
OutputIterator & | operator= (const osmium::memory::Item &item)
OutputIterator & | operator= (const osmium::DiffObject &diff)
OutputIterator & | operator* () noexcept
const OutputIterator & | operator* () const noexcept
OutputIterator & | operator++ () noexcept
OutputIterator | operator++ (int) const noexcept

## Private Attributes

TDest * | m_destination

## Member Typedef Documentation

## difference_type

template<typename TDest>

using osmium::io::OutputIterator< TDest >::difference_type = void

## iterator_category

template<typename TDest>

using osmium::io::OutputIterator< TDest >::iterator_category = std::output_iterator_tag

## pointer

template<typename TDest>

using osmium::io::OutputIterator< TDest >::pointer = void

## reference

template<typename TDest>

using osmium::io::OutputIterator< TDest >::reference = void

## value_type

template<typename TDest>

using osmium::io::OutputIterator< TDest >::value_type = void

## Constructor & Destructor Documentation

## OutputIterator()

template<typename TDest>

osmium::io::OutputIterator< TDest >::OutputIterator | ( | TDest & | destination | ) |

inlineexplicit

## Member Function Documentation

## operator*() [1/2]

template<typename TDest>

const OutputIterator & osmium::io::OutputIterator< TDest >::operator* | ( |  | ) | const

inlinenoexcept

## operator*() [2/2]

template<typename TDest>

OutputIterator & osmium::io::OutputIterator< TDest >::operator* | ( |  | ) |

inlinenoexcept

## operator++() [1/2]

template<typename TDest>

OutputIterator & osmium::io::OutputIterator< TDest >::operator++ | ( |  | ) |

inlinenoexcept

## operator++() [2/2]

template<typename TDest>

OutputIterator osmium::io::OutputIterator< TDest >::operator++ | ( | int |  | ) | const

inlinenoexcept

## operator=() [1/2]

template<typename TDest>

OutputIterator & osmium::io::OutputIterator< TDest >::operator= | ( | const osmium::DiffObject & | diff | ) |

inline

## operator=() [2/2]

template<typename TDest>

OutputIterator & osmium::io::OutputIterator< TDest >::operator= | ( | const osmium::memory::Item & | item | ) |

inline

## Member Data Documentation

## m_destination

template<typename TDest>

TDest* osmium::io::OutputIterator< TDest >::m_destination

private

The documentation for this class was generated from the following file:

- include/osmium/io/output_iterator.hpp